## grendel.addressbook.addresscard
Interface IAttribute

All Known Implementing Classes:
  AC_Attribute, AddressCardAttribute, LDAP_Attribute

public abstract interface IAttribute

Method Summary
`java.lang.String` | `getName()` Return the name of this attribute.
`java.lang.String` | `getValue()` Return the first string value of this attribute.
`boolean` | `isDeleted()` Has the attribute been deleted since the last update with it's parent.
`boolean` | `isModified()` Has the attribute been modified since the last update with it's parent.
`boolean` | `isNew()` Has the attribute new to the parent?

Method Detail

### getName

    public java.lang.String getName()

  Return the name of this attribute.

### getValue

    public java.lang.String getValue()

  Return the first string value of this attribute.

### isNew

    public boolean isNew()

  Has the attribute new to the parent?

### isDeleted

    public boolean isDeleted()

  Has the attribute been deleted since the last update with it's parent.

### isModified

    public boolean isModified()

  Has the attribute been modified since the last update with it's parent.